gmp_authenticate_info_opts_t Struct Reference

Struct holding options for authentication. More...

`#include <gmp.h>`

## Data Fields

int | timeout
| Timeout for authentication.
const char * | username
| Password.
const char * | password
| Username.
char ** | role
| [out] Role.
char ** | timezone
| [out] Timezone if any, else NULL.
char ** | pw_warning
| [out] Password warning, NULL if password is okay.

## Detailed Description

Struct holding options for authentication.

## Field Documentation

## password

const char* gmp_authenticate_info_opts_t::password

Username.

## pw_warning

char** gmp_authenticate_info_opts_t::pw_warning

[out] Password warning, NULL if password is okay.

## role

char** gmp_authenticate_info_opts_t::role

[out] Role.

## timeout

int gmp_authenticate_info_opts_t::timeout

Timeout for authentication.

## timezone

char** gmp_authenticate_info_opts_t::timezone

[out] Timezone if any, else NULL.

## username

const char* gmp_authenticate_info_opts_t::username

Password.

The documentation for this struct was generated from the following file:

- gmp/gmp.h